var globalData = require('../../util/globalData.js');
var commonUtil = require('../../util/commonUtil.js');

Page({

  /**
   * 页面的初始数据
   */
  // data: {
  //   historyList:[], //播放记录
  //   localStorageSize:'0', //本地缓存大小
  //   canIUse: wx.canIUse('button.open-type.getUserInfo')
  // },

  data: {
    menuList: [{
      name: '在线简历',
      APIList: [{
        zhName: '我的简历',
        enName: '5年--青岛--全职',
        url: '/page/resumeOnline/resumeOnline',
        bindtap:'resumeOnline'
      }],
      opened: false
    }, {
        name: '附件简历',
      opened: false,
      APIList: [{
        zhName: '最新简历.docx',
        enName: '2019年11月更新',
        url: '',
        bindtap:'resumeUpload'
      }]
    }, {
        name: '感兴趣的职位',
      opened: false,
      APIList: [{
        zhName: 'SAP实施顾问（PP模块',
        enName: '资源管理部--上海市,深圳市--全职',
        url: '/page/job/job'
      }, {
        zhName: 'SAP CRM 技术顾问',
        enName: '资源管理部--上海市,昆明市--全职',
          url: '/page/job/job'
      }]
    }, {
        name: '简历审核（HR）',
      opened: false,
      APIList: [{
        zhName: '软件开发高级经理',
        enName: 'TeleWork事业部--上海市--全职',
        url: '/page/hr/hr'
      }]
    }
    ]
  },
  tapMenuItem: function (e) {
    var menuItem = this.data.menuList[parseInt(e.currentTarget.id)]
    if (menuItem.url) {
      wx.navigateTo({ url: menuItem.url })
    } else {
      var changeData = {}
      var opened = menuItem.opened

      changeData['menuList[' + e.currentTarget.id + '].opened'] = !opened
      this.setData(changeData)
    }
  },

//简历上传
  resumeUpload:function(e) {
    wx.showToast({
      title: "只能上传word、PPT、PDF",  // 标题
      icon: 'success',   // 图标类型，默认success
      duration: 1500   // 提示窗停留时间，默认1500ms
    });
  },
//在线简历
  resumeOnline:function(e) {
    var syncFlg = false;
    try {
      // 同步接口立即返回值
      var resumeData = globalData.getGlobalData('base');
      console.log(resumeData);

      console.log(!commonUtil.isEmptyObject(resumeData));

      if (!commonUtil.isEmptyObject(resumeData)) {
        syncFlg = true;
      }
    } catch (e) {
      console.log('读取key2发生错误');
      syncFlg = false;
    }
    var url = '/page/resume/resume?op=base';
    if (syncFlg) {
      url = '/page/resumeOnline/resumeOnline';
    }
    wx.navigateTo({ url: url });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    // 查看是否授权
    wx.getSetting({
      success(res) {
        if (res.authSetting['scope.userInfo']) {
          // 已经授权，可以直接调用 getUserInfo 获取头像昵称
          wx.getUserInfo({
            success: function (res) {
              console.log(res.userInfo)
            }
          })
        }
      }
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.onShowStorage();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  /**
   * 清空缓存
   */
  onClearStorage:function() {
    var that = this;
    wx.clearStorageSync();
    wx.showToast({
      title: '已清除本地缓存',
    });
    //缓存大小
    that.setData({
      localStorageSize:0
    });
    //清空数据
    this.onShowStorage();
  },
  /**
   * 获取缓存
   */
  onShowStorage:function() {
    var that = this;
    var storageArray = wx.getStorageSync("playList");

    if (storageArray) {
      var historyList = openBenkyoData.getHistoryData(storageArray);
      for (var i = 0; i < historyList.length;i++) {
        var history = historyList[i];
        var tmpData = playData.getPlayDataByProdId(history.prodId);
        history["prodId"] = tmpData["prodId"]
        history["title"] = tmpData["title"]
        history["authorDes"] = tmpData["authorDes"]
        history["imageUrl"] = tmpData["imageUrl"]
      }
      //缓存大小
      that.setData({
        localStorageSize: historyList.length
      });
      that.setData({
        historyList: historyList
      });
    }
  },
  bindGetUserInfo : function(e) {
    console.log(e.detail.userInfo)
  },
  /**
   * 获取用户信息
   */
  getUserInfo:function() {//同意授权，获取用户信息，encryptedData是加密字符串，里面包含unionid和openid信息
    wx.getUserInfo({
      withCredentials: true,//此处设为true，才会返回encryptedData等敏感信息
      success: res => {
        // 可以将 res 发送给后台解码出 unionId
        app.globalData.userInfo = res.userInfo;
        app.globalData.encryptedData = res.encryptedData;
        app.globalData.iv = res.iv;
        this.saveUserInfo();
        console.log(res)
      }
    })
  },
  getAuthorize: function() {//弹出授权窗函数
    if (this.data.acceptAuthorize) {//判断是否已经授权过
      // 获取用户信息
      wx.getSetting({
        success: res => {
          if (res.authSetting['scope.userInfo']) {
            // 已经授权，可以直接调用 getUserInfo 获取头像昵称，不会弹框
            this.getUserInfo();
            this.setData({
              isShowAhturoizeWarning: false
            })
          } else {
            this.setData({
              isShowAhturoizeWarning: true
            })
          }
        }
      })
    } else {//如果已经授权过直接登录
      this.saveUserInfo()
    }
    },
    cancelAuthroize: function(){
      this.setData({
        isShowAhturoizeWarning: false,
        acceptAuthorize: false
      });
      app.globalData.unionid = null;
      this.saveUserInfo();

    }
})
function saveUserInfo() {

}