// page/resume/resume.js

var globalUtil = require('../../util/globalData.js');
var commonUtil = require('../../util/commonUtil.js');


Page({

  /**
   * 页面的初始数据
   */
  data: {
    titleData: {},
    baseShowFlg: true,//基本信息显示
    eduShowFlg: false,//教育信息显示

    baseData: {
      userName: "",//姓名
      sex: "man",//性别 man:男；girl:女
      birthday: "", //出生日期
      jobYearsIndex: '0',//工作年限
      cityName: '',//城市名字
      telNum: '', //手机号
      verCode: '', //验证码
      modalHidden: true,
      modalHidden2: true,
      jobYears: ['1年及以下', '3年及以下', '3到5年', '5年以上'],
      sexItems: [{ text: '男', value: 'man', checked: 'true' },
      { text: '女', value: 'girl' }
      ]

    },
    eduData: {
      eduId: "",//编辑状态： 无ID 新增； 有ID//编辑
      schoolName:"", //学校名字
      proName:"",//专业名字
      schoolExperience: "", //学校经历
      levelArray: ['小学', '中学'], //学历水平、下拉列表
      levelIndex: 0, //学历水平、当前选择
      learningArray: [],//学习时间段、下拉列表
      learningIndex: 0,//学习时间段、当前选择
      learningStart:"",
      learningEnd:"",
    },
  },

  /**
   * 
   */
  baseSexchange: function (e) {
    var value = e.detail.value;
    console.log("性别----");
    console.log(value);
    var that = this;
    var baseData = this.data.baseData;
    baseData.sex = value;
    var items = baseData.sexItems;

    for (var i = 0; i < items.length; i++) {
      if (items[i].value == value) {
        items[i].checked = true;
      } else {
        items[i].checked = false;
      }
    }
    baseData.sexItems = items;

    this.setData({
      baseData: baseData
    });
  },
  /**
   * 基本信息--录入
   */
  baseBindKeyInput: function (e) {
    var value = e.detail.value;
    var baseData = this.data.baseData;
    if ("userName" == e.currentTarget.id) {
      baseData.userName = value;
    } else if ("telNum" == e.currentTarget.id) {
      baseData.telNum = value;
    } else if ("cityName" == e.currentTarget.id) {
      baseData.cityName = value;
    } else if ("verCode" == e.currentTarget.id) {
      baseData.verCode = value;
    }
    this.setData({
      baseData: baseData
    })
  },

  /**
  * 基本信息-工作年限
  */
  baseJobPickerSelected: function (e) {
    console.log(e);
    var value = e.detail.value;
    var that = this;
    var baseData = this.data.baseData;
    baseData.jobYearsIndex = value;
    this.setData({
      baseData: baseData
    });
  },
  /**
 * 基本信息-出生日期
 */
  baseBirthdayPickerSelected: function (e) {
    console.log(e);
    var value = e.detail.value;
    var that = this;
    var baseData = this.data.baseData;
    baseData.birthday = value;
    this.setData({
      baseData: baseData
    });
  },
  /**
   * SMS 验证
   */
  baseSMSChange: function (e) {

    var resumeData = {};
    var baseData = this.data.baseData;

    resumeData = {
      userName: baseData.userName,//姓名
      sex: baseData.sex,//性别 man:男；girl:女
      birthday: baseData.birthday, //出生日期
      jobYearsIndex: baseData.jobYearsIndex,//工作年限
      cityName: baseData.cityName,//城市名字
      telNum: baseData.telNum //手机号
    }
    //设置
    wx.setStorage({
      key: "base",
      data: resumeData,
      success: function () {
        console.log('写入value1成功')
      },
      fail: function () {
        console.log('写入value1发生错误')
      }
    })

    // var title = "微简历信息已经创建，请继续完善!";
    // wx.showToast({
    //   title: title,  // 标题
    //   icon: 'error',   // 图标类型，默认success
    //   duration: 1500   // 提示窗停留时间，默认1500ms
    // });

    // 将基本信息 保存到 缓存中

    //跳转到新的页面中
    var url = '/page/resumeOnline/resumeOnline';
    wx.navigateTo({ url: url })


    //TODO

    // //验证短信发送等
    // this.setData({
    //   baseShowFlg: false,
    //   eduShowFlg: true,
    //   titleData: {
    //     title: '教育经历',
    //     desc: '请填写您的个人教育经历，正确并完整的信息，更有助于别人理解你。'
    //   }
    // });
  },

  /**
   * 继续按钮
  */
  nextEdu: function (e) {
    var that = this;
    var baseData = this.data.baseData;

    console.log(baseData);
    //必须输入验证
    var title = "";
    if ("" == baseData.userName) {
      title = "姓名必须输入";
    } else if ("" == baseData.sex) {
      title = "性别必须选择";
    } else if ("" == baseData.birthday) {
      title = "出生日期必须选择";
    } else if ("" == baseData.jobYears) {
      title = "工作年限必须选择";
    } else if ("" == baseData.telNum) {
      title = "手机号必须填写";
    }
    console.log("-=============title=============");

    console.log(title);
    console.log("-------------------");
    
    if ("" != title) {
      wx.showToast({
        title: title,  // 标题
        icon: 'error',   // 图标类型，默认success
        duration: 1500   // 提示窗停留时间，默认1500ms
      });

      return;
    }

    baseData.modalHidden2 = false;
    this.setData({
      baseData: baseData
    });
    // //教育经历
    // var learningArray = this.data.eduData.learningArray;
    // learningArray.push({ id: 1989, name: '1990年以前' });
    // for(var i=1990; i<2027; i++) {
    //   learningArray.push({id:i, name:i+'年'});
    // }
    // var eduData= this.data.eduData;
    // eduData.learningArray = learningArray;
    // eduData.learningIndex = 0;
    // this.setData({
    //   eduData: eduData
    // });
  },

  /**
 * 基本信息--录入
 */
  eduBindKeyInput: function (e) {
    var value = e.detail.value;
    var eduData = this.data.eduData;
    if ("schoolName" == e.currentTarget.id) {
      eduData.schoolName = value;
    } else if ("proName" == e.currentTarget.id) {
      eduData.proName = value;
    } else if ("schoolExperience" == e.currentTarget.id) {
      eduData.schoolExperience = value;
    }
    this.setData({
      eduData: eduData
    })
  },

  /**
   * 选择学历
   */
  eduLevelPickerSelected: function (e) {
    //选择学历
    var value = e.detail.value;
    console.log("----------选择学历---");
    console.log(value);
    var eduData = this.data.eduData;
    eduData.levelIndex = value;
    this.setData({
      eduData: eduData
    })
  },
  /**
   * 在校学习时间段
   */
  eduLearningPickerSelected: function (e) {
    var eduData = this.data.eduData;
    eduData.learningStart = e.detail.value;
    this.setData({
      eduData: eduData
    });
  },
  /**
 * 在校学习时间段(结束)
 */
  eduLearningPickerSelectedEnd: function (e) {
    var eduData  =this.data.eduData;
    eduData.learningEnd = e.detail.value;
    this.setData({
      eduData: eduData
    });
  },

  /**
     * 保存（教育经历）
     */
  saveEdu: function (e) {

    var eduData = this.data.eduData;

    //必须输入验证
    var title = "";
    if ("" == eduData.schoolName) {
      title = "学校名字必须输入";
    } else if ("" == eduData.levelIndex) {
      title = "学历水平必须选择";
    } else if ("" == eduData.learningStart) {
      title = "开始时间段必须选择";
    } else if ("" == eduData.learningEnd) {
      title = "结束时间段必须选择";
    } else if ("" == eduData.proName) {
      title = "专业名称必须填写";
    }

    if ("" != title) {
      wx.showToast({
        title: title,  // 标题
        icon: 'error',   // 图标类型，默认success
        duration: 1500   // 提示窗停留时间，默认1500ms
      })
      return;
    }

    var globalData = [];
    
    var eduData = this.data.eduData;
    if ("" == eduData.eduId) {
      var eduData = this.data.eduData;
      globalData = globalUtil.getGlobalData("edu");
      console.log("#############");
      console.log(globalData);
      var eduId ="0";

      if (commonUtil.isEmptyObject(globalData)) {
        globalData =[];
      } else {
        var maxLen = globalData.length;
        var maxEduId = globalData[maxLen -1].eduId;
        eduId = maxEduId+1;
      }
      globalData.push({
        eduId: eduId,//学校名称
        schoolName: eduData.schoolName,//学校名称
        levelIndex: eduData.levelIndex,//学历
        learningStart: eduData.learningStart, //开始时间
        learningEnd: eduData.learningEnd,//结束时间
        proName: eduData.proName,//专业名称
        schoolExperience: eduData.schoolExperience //学校经历
      });
    } else {
      var eduData = this.data.eduData;
      globalData = globalUtil.getGlobalData("edu");
      if (null == globalData) {
        globalData = [];
        globalData.push({
          eduId: "0",//学校名称
          schoolName: eduData.schoolName,//学校名称
          levelIndex: eduData.levelIndex,//学历
          learningStart: eduData.learningStart, //开始时间
          learningEnd: eduData.learningEnd,//结束时间
          proName: eduData.proName,//专业名称
          schoolExperience: eduData.schoolExperience //学校经历
        });
      } else {
        //globalData[eduData.eduId].eduId="1";//学校名称
        globalData[eduData.eduId].schoolName = eduData.schoolName;//学校名称
        globalData[eduData.eduId].levelIndex = eduData.levelIndex;//学历
        globalData[eduData.eduId].learningStart = eduData.learningStart; //开始时间
        globalData[eduData.eduId].learningEnd = eduData.learningEnd;//结束时间
        globalData[eduData.eduId].proName = eduData.proName;//专业名称
        globalData[eduData.eduId].schoolExperience = eduData.schoolExperience; //学校经历
        
      }
      
    }
   
    //设置
    wx.setStorage({
      key: "edu",
      data: globalData,
      success: function () {
        console.log('写入value1成功')
        var url = '/page/resumeOnline/resumeOnline';
        wx.navigateTo({ url: url });
      },
      fail: function () {
        console.log('写入value1发生错误')
      }
    });
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var op = options.op;
    if ("" == op || "base" == op) {
      var _base = globalUtil.getGlobalData("base");
      console.log("------_base-------");
      console.log(_base);

      var _baseData = this.data.baseData;
      if (!commonUtil.isEmptyObject(_base)) {
        console.log("is not EmptyObject");

        //_base 
        _baseData.userName = _base.userName;
        _baseData.sex = _base.sex;
        _baseData.cityName = _base.cityName;
        _baseData.birthday = _base.birthday;
        _baseData.telNum = _base.telNum;
        _baseData.jobYearsIndex = _base.jobYearsIndex;

      }
      this.setData({
        titleData: { title: '基本信息', desc: '请填写您的个人基本信息，正确并完整的信息，更有助于别人理解你。' },
        baseShowFlg: true,//基本信息显示
        eduShowFlg: false,//教育信息显示
        baseData: _baseData
      });
    } else if ("edu" == op) {
      var id = options.id;
      var _eduData = this.data.eduData;
      _eduData.eduId = id;

      var _eduList = globalUtil.getGlobalData("edu");
      console.log("------__eduList-------");
      console.log(_eduList);

      console.log("------id-------");
      console.log(id);

      var _eduData = this.data.eduData;
      if (!commonUtil.isEmptyObject(_eduList) && "" != id) {
        console.log("is not EmptyObject");

        console.log("------schoolName----");
        console.log(_eduList[id].schoolName);

        //_base 
        _eduData.schoolName = _eduList[id].schoolName;
        _eduData.proName = _eduList[id].proName;
        _eduData.schoolExperience = _eduList[id].schoolExperience;
        _eduData.levelIndex = _eduList[id].levelIndex;
        _eduData.learningStart = _eduList[id].learningStart;
        _eduData.learningEnd = _eduList[id].learningEnd;
      }

      this.setData({
        baseShowFlg: false,//基本信息显示
        eduShowFlg: true,//教育信息显示
        eduData: _eduData,
        titleData: {
          title: '教育经历',
          desc: '请填写您的个人教育经历，正确并完整的信息，更有助于别人理解你。'
        }
      });
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})