// page/resumeOnline/resumeOnline.js

var images = require('../../util/images.js');
var resumeData = require('../../util/resumeData.js');

Page({
  /**
   * 页面的初始数据
   */
  data: {
    avatorpath: images.avator,
    menuList:[]
  },
  tapMenuItem: function (e) {
    var menuItem = this.data.menuList[parseInt(e.currentTarget.id)]
    if (menuItem.url) {
      wx.navigateTo({ url: menuItem.url })
    } else {
      var changeData = {}
      var opened = menuItem.opened

      changeData['menuList[' + e.currentTarget.id + '].opened'] = !opened
      this.setData(changeData)
    }
  },


  /**
  * 点击头像触发事件，修改头像源路径
  */
  bindAvatorTap: function () {
    var that = this;
    function chooseImageSuccess(res) {
      var tempFilePath = res.tempFilePaths[0]
      that.setData({
        avatorpath: tempFilePath
      })
    }
    wx.chooseImage({
      count: 1, // 默认9
      sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
      sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
      success: chooseImageSuccess
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var _menuList = [];
    _menuList.push(resumeData.getResumeData("base"));
   // console.log("------_menuList-------------");

    _menuList.push(resumeData.getResumeData("edu"));

    _menuList.push(resumeData.getResumeData("company"));

    _menuList.push(resumeData.getResumeData("item"));

   // console.log(_menuList);
    this.setData({
      menuList: _menuList
    });

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})